#!/bin/sh
################################################################################
# ts_calibrate.sh
#
# Script for performing touch screen calibration on Mercury boxes.
#
# SVN Keywords
# $HeadURL: http://nanoscience.oxinst.com/svn/Mercury/target_files/MercuryTarget/opt/OxfordInstruments/cryosys/ts_calibrate.sh $
# $Author: robertsi $
# $Revision: 3931 $
# $Date: 2013-05-09 14:53:42 +0100 (Thu, 09 May 2013) $
################################################################################

export QWS_SIZE=480x272
export QWS_MOUSE_PROTO="Tslib:/dev/input/event1"
export TSDIR=/usr/lib/ts
export TSLIB_CALIBRATE=/etc/pointercal
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_PLUGINDIR=/usr/lib/ts
export TSLIB_TSDEVICE=/dev/input/event1

# Run the calibration routine.
./ts_calibrate

echo "Test screen input 'y'"
read -n 1 c
if [ $c == "y" ];
then
   echo
   echo "Touch screen test started"
   ./ts_test
else
   echo
   echo " No test"
fi
